{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Eingegangen am',
        'columnId': 'eingegangen_am',
        'ariaLabelId': 'received-on',
        'ariaLabelName': 'Received On'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Status'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Anschrift',
        'columnId': 'anschrift',
        'ariaLabelId': 'address',
        'ariaLabelName': 'Address'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Gesamtfläche',
        'columnId': 'gesamtflaeche',
        'ariaLabelId': 'total-area',
        'ariaLabelName': 'Total Area'
    } only %}
{% endblock %}

{% block tableContent %}
    <td class="mdc-data-table__cell" scope="row">
        <a href="{{ path('company_location_management_expose_forwarding_pdf_expose', {'exposeForwardingId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary mdc-tooltip-anchor" aria-describedby="expose-forwarding-{{ listItem.getId() }}-object-expose-mdc-tooltip">
            <div class="mdc-icon-button__ripple"></div>
            store
        </a>
        <div id="expose-forwarding-{{ listItem.getId() }}-object-expose-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
            <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">Objekt-Exposé ansehen</div>
        </div>
    </td>

    <td class="mdc-data-table__cell" scope="row">
        {% if listItem.getCreatedByAccountUser().getAccount().getAccountConfiguration().getCityExpose() != null %}
            <a href="{{ path('public_file', {'fileUuid': listItem.getCreatedByAccountUser().getAccount().getAccountConfiguration().getCityExpose().getFile().getUuid()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary mdc-tooltip-anchor" aria-describedby="expose-forwarding-{{ listItem.getId() }}-city-expose-mdc-tooltip">
                <div class="mdc-icon-button__ripple"></div>
                location_city
            </a>
            <div id="expose-forwarding-{{ listItem.getId() }}-city-expose-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">Stadt-Exposé mit weiteren Informationen zum Standort ansehen</div>
            </div>
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% set listItemReject = {
                'label': 'Auf »abgelehnt« setzen',
                'url': path('company_location_management_expose_forwarding_reject', {'exposeForwardingId': listItem.getId()}),
                'icon': 'thumb_down'
            } %}

        {% set listItemPutBack = {
            'label': 'Auf »zurückgestellt« setzen',
            'url': path('company_location_management_expose_forwarding_set_forwarding_response', {'exposeForwardingId': listItem.getId(), 'forwardingResponse': constant('App\\Domain\\Entity\\ForwardingResponse::PUT_BACK').value}),
            'icon': 'watch_later'
        } %}

        {% set listItemEstablishContact = {
            'label': 'Auf »Kontakt aufgenommen« setzen',
            'url': path('company_location_management_expose_forwarding_set_forwarding_response', {'exposeForwardingId': listItem.getId(), 'forwardingResponse': constant('App\\Domain\\Entity\\ForwardingResponse::CONTACT_ESTABLISHED').value}),
            'icon': 'group'
        } %}

        {% set listItemContractConcluded = {
            'label': 'Auf »Vertrag geschlossen« setzen',
            'url': path('company_location_management_expose_forwarding_set_forwarding_response', {'exposeForwardingId': listItem.getId(), 'forwardingResponse': constant('App\\Domain\\Entity\\ForwardingResponse::CONTRACT_CONCLUDED').value}),
            'icon': 'receipt_long'
        } %}

        {% if listItem.getForwardingResponse() == null %}
            {% set contextMenuListItems = [listItemPutBack, listItemReject, listItemEstablishContact, listItemContractConcluded] %}
        {% elseif listItem.getForwardingResponse().name == 'REJECTED' %}
            {% set contextMenuListItems = [listItemPutBack, listItemEstablishContact, listItemContractConcluded] %}
        {% elseif listItem.getForwardingResponse().name == 'PUT_BACK' %}
            {% set contextMenuListItems = [listItemReject, listItemEstablishContact, listItemContractConcluded] %}
        {% elseif listItem.getForwardingResponse().name == 'CONTACT_ESTABLISHED' %}
            {% set contextMenuListItems = [listItemPutBack, listItemReject, listItemContractConcluded] %}
        {% elseif listItem.getForwardingResponse().name == 'CONTRACT_CONCLUDED' %}
            {% set contextMenuListItems = [listItemPutBack, listItemReject, listItemEstablishContact] %}
        {% endif %}

        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'expose_forwarding_' ~ listItem.getId(),
            'listItems': contextMenuListItems
        } only %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getCreatedAt().format('d.m.Y, H:i') }} Uhr</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getForwardingResponse() == null %}
            <span class="text-secondary">neu eingegangen</span>
        {% else %}
            {% if listItem.getForwardingResponse().value == constant('App\\Domain\\Entity\\ForwardingResponse::REJECTED').value %}
                <span class="text-danger">{{ listItem.getForwardingResponse().getName() }}</span>
            {% elseif listItem.getForwardingResponse().value == constant('App\\Domain\\Entity\\ForwardingResponse::PUT_BACK').value  %}
                <span class="text-warning">{{ listItem.getForwardingResponse().getName() }}</span>
            {% else %}
                <span class="text-success">{{ listItem.getForwardingResponse().getName() }}</span>
            {% endif %}
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {{ listItem.getBuildingUnit().getAddress().getStreetName() }} {{ listItem.getBuildingUnit().getAddress().getHouseNumber() }},
        {{ listItem.getBuildingUnit().getAddress().getPostalCode() }} {{ listItem.getBuildingUnit().getAddress().getPlace().getPlaceName() }}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.getBuildingUnit().getAreaSize() != null %}
            {{ listItem.getBuildingUnit().getAreaSize() }} m&sup2;
        {% endif %}
    </td>
{% endblock %}
